### Method

# Clutter AlignConstraint set_pivot_point

#### Declaration [src]

    void
    clutter_align_constraint_set_pivot_point (
      ClutterAlignConstraint* align,
      const graphene_point_t* pivot_point
    )

#### Description [src]

Sets the pivot point used by the constraint, the pivot point is the point in the constraint actor around which the aligning is applied, with (0, 0) being the top left corner of the actor and (1, 1) the bottom right corner of the actor.

If -1 is used, the pivot point is unset and the constrained actor will be aligned to always stay inside the source actor.

Sets property | `Clutter.AlignConstraint:pivot-point`

#### Parameters

`pivot_point`

  Type: `graphene_point_t`

  A `GraphenePoint`.

  The data is owned by the caller of the method.